/* 日報の選択式項目 */
.DailyReport_QuestionContainer {
    width: 100%;
    display: grid;
    gap: 10px;
    padding: 20px;
    border-radius: 10px;
    background-color: #fff;
    container-type: inline-size;
}
.DailyReport_QuestionContainer .QuestionBox {
    color: #555;
    padding: 5px 0px 5px 10px;
    border-left: 3px solid var(--SubColor);
    border-radius: 2px;
    margin-bottom: 10px;
}
.DailyReport_QuestionContainer .ButtonBox {
    position: relative;
    width: 100%;
    height: 30px;
}
.DailyReport_QuestionContainer .ButtonBox .Background {
    position: absolute;
    inset: 0;
    display: grid;
    place-items: center;
    padding: 0px 5%;
}
.DailyReport_QuestionContainer .ButtonBox .Background .Line {
    position: absolute;
    top: 50%;
    left: auto;
    width: 80%;
    height: 1px; /* 横線の太さ */
    background-color: #ddd; /* 横線の色 */
    transform: translateY(-50%); /* 横線を垂直方向に中央配置 */
}
.DailyReport_QuestionContainer .ButtonBox .ChoicesBox {
    position: absolute;
    inset: 0;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
}
.DailyReport_QuestionContainer .ButtonBox .ChoicesBox .ChoiceCell {
    display: grid;
    place-items: center;
    cursor: pointer;
}
.DailyReport_QuestionContainer .ButtonBox .ChoicesBox .ChoiceCell .Choice {
    font-size: 0.7em;
    color: #555;
    padding: 5px 30px;
    border-radius: 5px;
    background-color: #eee;
    transition: background-color 0.3s;
}
.DailyReport_QuestionContainer .ButtonBox .ChoicesBox .ChoiceCell .ChoiceElem {
    display: none;
}
/* チェックされているラジオボタンに隣接する Choice 要素にスタイルを適用 */
/* 日報閲覧で値の再現のためのクラスにも適用 */
.DailyReport_QuestionContainer .ButtonBox .ChoicesBox .ChoiceCell input:checked + .Choice,
.DailyReport_QuestionContainer .ButtonBox .ChoicesBox .ChoiceCell .Choice.Selected {
    color: #fff;
    font-weight: 700;
    background-color: var(--SubColor);
}
.DailyReport_QuestionContainer .LabelBox {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    place-items: center;
    font-size: 0.7em;
    color: #555;
    /* 選択肢のテキストが複数行になっても、選択肢のテキストを上段揃えにする */
    align-items: start;
}
.DailyReport_QuestionContainer .LabelBox .Label {
    display: grid;
    place-items: center;
}
.DailyReport_QuestionContainer .LabelBox .Label .Japanese {
    color: #555;
}
.DailyReport_QuestionContainer .LabelBox .Label .Translation {
    font-weight: 300;
    color: #999;
}

.DailyReport_QuestionContainer .SPButtonBox {
    display: grid;
    display: none;
    gap: 15px;
}

.DailyReport_QuestionContainer .SPButtonBox .ChoiceCell {
    font-size: 14px;
    display: grid;
    grid-template-columns: 60px 1fr;
    gap: 10px;
}
.DailyReport_QuestionContainer .SPButtonBox .ChoiceCell .ChoiceElem {
    display: none;
}
.DailyReport_QuestionContainer .SPButtonBox .ChoiceCell .Choice {
    font-size: 0.8em;
    color: #555;
    padding: 5px;
    border-radius: 5px;
    background-color: #eee;
    text-align: center;
    transition: background-color 0.3s;
    /* 選択肢のテキストが複数行になってもボタンの高さを一定に保つ */
    align-self: start;
}
/* チェックされているラジオボタンに隣接する Choice 要素にスタイルを適用 */
/* 日報閲覧で値の再現のためのクラスにも適用 */
.DailyReport_QuestionContainer .SPButtonBox .ChoiceCell input:checked + .Choice, 
.DailyReport_QuestionContainer .SPButtonBox .ChoiceCell .Choice.Selected {
    color: #fff;
    font-weight: 700;
    background-color: var(--SubColor);
}
.DailyReport_QuestionContainer .SPButtonBox .ChoiceCell .Text {
    display: flex;
    flex-wrap: wrap;
    gap: 5px;
    align-items: center;
}
.DailyReport_QuestionContainer .SPButtonBox .ChoiceCell .Japanese {
    font-size: 1em;
    color: #555;
}
.DailyReport_QuestionContainer .SPButtonBox .ChoiceCell .Translation {
    font-size: 0.75em;
    font-weight: 300;
    color: #999;
}

@container (max-width: 500px) {
    .DailyReport_QuestionContainer .ButtonBox, 
    .DailyReport_QuestionContainer .LabelBox {
        display: none;
    }
    .DailyReport_QuestionContainer .SPButtonBox {
        display: grid;
    }
}